package com.sw.mes.issue.service;

import java.util.List;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.issue.dto.FlsYbIssueRecordDto;
import com.sw.mes.issue.entity.YbIssueRecord;

/**
 * @author wangjingyu
 * @datetime 2023年9月6日 下午4:46:47
 * @description
 */
public interface YbIssueRecordService extends BaseService<YbIssueRecord> {

    void deleteErrorRecord(String sectionNo);

    List<FlsYbIssueRecordDto> queryByTrayNo(String trayNo);

    List<FlsYbIssueRecordDto> queryByBranchCode(String branchCode);

    Result sendBranchCodeToYbIssueRecord(String branchCode, Integer sendStatus);
}